Topic locked

Problem when using multiple Area Targets

February 1, 2021 - 11:16am #1

Hello, I'm trying to use multiple Area Targets to build a model of multiple rooms.

So, I made a scan, using the scan app, of each room and imported both databases to Unity.

The building in Unity works fine. But when I build it in Xcode to the device, the app only shows the Unity logo at the beginning, asks then for the camera permission, and then the app crashes.

If the Ipad is connected to the Mac, it stops at the state shown in the picture (see attachment) and the last step in the console says that both databases are loaded. Anyway, no error message is provided.

Does anyone have a similar problem?

I tried it on two different Ipads, but nothing worked.

I also tried both Area Targets individually and both worked when there was only one Area Target in the scene.

The only solution so far is to activate only one Area Target at a time. It worked out to use a button with which the user can manually switch between two scenes. Each scene has one Area Target activated.

But I would like to have both Area Targets activated at the same time, is this possible?

The library indicates that this should be somehow possible:

https://library.vuforia.com/features/environments/area-targets/area-target-api-overview.html

Thank you in advance.

Problem when using multiple Area Targets

February 11, 2021 - 5:14am #3

Thank you a lot for your help, it works now! 

 

To answer your question: I was using the version 9.6.4 before when it did not work. But now I am using 9.7 and it works perfect. 

 

best regards

Problem when using multiple Area Targets

February 2, 2021 - 1:11am #2

Hi,

If you used an older version of ATG/ scanning app to generate the scans with a some how older version of the SDK prior to 9.5 you might face some issues when loading 2 Area Targets.

With 9.5 and 9.6 we implemented a more 'flexible' way of loading the area targets. Furthermore with 9.7 we will release a best practice article on Combining Multiple Area Targets. It should be online tomorrow, latest on Thursday.

Coming back to your issue, could you please let me know the SDK version used? if its below 9.5, I would ask you to please upgrade to the latest 9.6 or even wait another day to use 9.7

Thank you.

Vuforia Engine Support

 

Topic locked